package com.ruoyi.ss.device.service;

import com.ruoyi.common.core.domain.ValidateResult;

import java.util.List;

/**
 * @author wjh
 * 2024/4/30
 */
public interface DeviceValidator {

    /**
     * 设备编号是否存在
     */
    boolean isExistNo(List<String> deviceNos);

    /**
     * 判断设备是否属于指定用户
     * @param deviceId 设备id
     * @param userId 用户id
     */
    boolean isBelong(Long deviceId, Long userId);
}
