package com.ruoyi.ss.meterReadingRecord.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author wjh
 * 2024/3/28
 */
@Data
public class SmMeterReadingRecordVo extends SmMeterReadingRecord {

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createDate;

    @ApiModelProperty("创建时")
    private Integer createHour;

    @ApiModelProperty("创建月")
    private Integer createMonth;

    @ApiModelProperty("创建日")
    private Integer createDay;

    @ApiModelProperty("分组内已使用的电量统计")
    private BigDecimal groupUsedElectriQuantity;

}
