package com.ruoyi.ss.transactionBill.domain;

import com.fasterxml.jackson.annotation.JsonView;
import com.ruoyi.common.core.domain.JsonViewProfile;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author 辉
 * 2024/3/4
 */
@ApiModel
@Data
public class TransactionBillVo extends TransactionBill {
    @ApiModelProperty("用户名称")
    @JsonView(JsonViewProfile.App.class)
    private String userName;

    @ApiModelProperty("商户（到账用户）名称")
    @JsonView(JsonViewProfile.AppMch.class)
    private String mchName;

    @ApiModelProperty("支付渠道名称")
    @JsonView(JsonViewProfile.App.class)
    private String channelName;
}
