package com.ruoyi.web.controller.app;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.enums.UserType;
import com.ruoyi.ss.resetRecord.domain.SmResetRecordQuery;
import com.ruoyi.ss.resetRecord.service.ISmResetRecordService;
import com.ruoyi.web.core.annotation.MchRequired;
import com.ruoyi.web.core.annotation.UserTypePermission;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 归零记录
 * @author wjh
 * 2024/4/2
 */
@RestController
@RequestMapping("/app/reset")
public class AppResetRecordController extends BaseController {

    @Autowired
    private ISmResetRecordService smResetRecordService;

    @MchRequired
    @ApiOperation("查询本人归零记录")
    @GetMapping("/list")
    public TableDataInfo list(SmResetRecordQuery dto) {
        startPage();
        dto.setMchId(getUserId());
        return getDataTable(smResetRecordService.selectSmResetRecordList(dto));
    }

}
