package com.ruoyi.common.core.redis.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author wjh
 * 2024/3/29
 */
@Getter
@AllArgsConstructor
public enum RedisLockKey {

    PREPAY("prepay", "微信预付单"),
    ADD_WITHDRAW("addWithdraw", "提现申请"),
    APPROVAL_WITHDRAW("approvalWithdraw", "提现审核"),
    PAY_WITHDRAW("payWithdraw", "提现打款"),
    PAY_NOTIFY("payNotify", "支付通知");


    private final String key;
    private final String name;


}
