package com.ruoyi.common.utils;

import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;

/**
 * @author wjh
 * 2024/4/29
 */
public class CollectionUtils extends org.springframework.util.CollectionUtils {

    /**
     * 是否为空，包括空集合、空元素
     * @param list
     * @return
     */
    public static boolean isEmptyElement(List<?> list) {
        if (list == null) {
            return true;
        }
        // 过滤空元素
        List<?> collect = list.stream().filter(Objects::nonNull).collect(Collectors.toList());
        return org.springframework.util.CollectionUtils.isEmpty(collect);
    }

}
