package com.ruoyi.ss.suit.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author wjh
 * 套装查询类
 */
@Data
public class SuitQuery extends Suit {
    @ApiModelProperty("设备名称")
    private String deviceName;

    @ApiModelProperty("设备id列表")
    private List<Long> deviceIds;

    @ApiModelProperty("套餐id列表")
    private List<Long> suitIds;

    @ApiModelProperty("商户id")
    private Long mchId;
}
