package com.ruoyi.ss.user.service;

import com.ruoyi.common.core.domain.ValidateResult;

import java.util.List;

/**
 * @author wjh
 * 2024/4/29
 */
public interface UserValidator {

    /**
     * 判断用户是否存在
     * @param userIds 用户id列表
     */
    boolean isExist(List<Long> userIds);

    /**
     * 判断用户是否是商家
     * @param userId
     * @return
     */
    boolean isMch(Long userId);

    /**
     * 判断用户是否可用
     */
    boolean isUsage(Long userId);

    /**
     * 逻辑删除前校验
     */
    ValidateResult preLogicDel(List<Long> userIds);
}
